<template>
  <div>
    <PageNav v-if="!$route.params.id">
      <ul class="size-larger">
        <li>
          <nuxt-link :to="localePath('/profile/store')">All</nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/profile/store/events')">
            Events
          </nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/profile/store/wallpapers')">
            Wallpapers
          </nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/profile/store/products')">
            Products
          </nuxt-link>
        </li>
        <li>
          <nuxt-link :to="localePath('/profile/store/nft')">NFT</nuxt-link>
        </li>
      </ul>
    </PageNav>
    <nuxt-child @addNewItem="onOpenModal" />
    <portal to="modal">
      <AddStoreModal v-model="modals.newItem" :currentTab="currentTab" />
    </portal>
  </div>
</template>

<script lang="ts">
import {
  defineComponent,
  useContext,
  useAsync,
  ref,
  computed
} from '@nuxtjs/composition-api'
import NavBar from '@/components/app/NavBar.vue'
import Avatar from '@/components/ui/Avatar.vue'
import Button from '@/components/ui/Button.vue'
import PageNav from '@/components/ui/Pagenav.vue'
import AddStoreModal from '@/components/modal/AddStoreModal.vue'

export default defineComponent({
  name: 'UserPage',
  components: {
    NavBar,
    Avatar,
    Button,
    PageNav,
    AddStoreModal
  },
  setup(_, { root }) {
    const { route, error } = useContext()
    const currentUser = computed(() => root.$accessor.auth.user)
    const userId = route.value.params.id as string
    const modals = ref({
      newItem: false
    })

    const currentTab = ref('all')
    const onOpenModal = (activeTab: string) => {
      modals.value.newItem = !modals.value.newItem
      currentTab.value = activeTab
    }

    return { modals, currentTab, onOpenModal }
  }
})
</script>

<style lang="scss" scoped></style>
